
/************************************
    INTERPRET ACTION CONSTANTS
************************************/
#define IA_USER_QUIT    FALSE
#define IA_END_OF_TURN  TRUE

/************************************
    PRINTOUT CONSTANTS
************************************/
/* constants for tep_printout.c */
#define     PAUSE       0x00000001
#define     NOPAUSE     0x00000002
#define		MALE		0x00000004


/************************************
    COMMAND CONSTANTS
************************************/

#define COM_NORTH       0x40000001
#define COM_SOUTH       0x40000002
#define COM_EAST        0x40000004
#define COM_WEST        0x40000008

#define COM_LOOK        0x40000010
#define COM_DISPLAY     0x40000020
#define COM_LEAVE       0x40000040
#define COM_PUT         0x40000080

#define COM_GO          0x40000100
#define COM_HELP        0x40000200
#define COM_SAVE        0x40000400
#define COM_LOAD        0x40000800

#define COM_QUIT        0x40001000
#define COM_GREET       0x40002000
#define COM_INSULT      0x40004000
#define COM_TALK        0x40008000

#define COM_DONE        0x40010000

/* conversation commands */
#define COM_ASK         0x40020000
#define COM_SHOW        0x40040000
#define COM_GOODBYE     0x40080000

/* evidence organize commands */
#define COM_VIEW	    0x40100000
#define COM_COMPLIMENT  0x40200000




/************************************
    PARSE CONSTANTS
************************************/
#define P_CONTRACTIONS  "\'S \'D \'LL \'T"



/************************************
    CHARACTER SHUFFLE CONSTANTS
************************************/
#define BASE_SERVANTS       4       /* base number of servants of rametep */
#define BASE_TRUST_LOW      2       /* lowest player trust factor a character will start with */
#define BASE_TRUST_HIGH     7       /* highest player trust factor a character will start with */
#define WHACK_VAL_LIMIT     99      /* highest possible value for one character's like/hate of another */

/************************************
	COMPLIMENT COUNTER
************************************/
#define BASE_COMP_HIGH		2
#define BASE_COMP_ADJUST	1
#define BASE_COMP_HATELEVEL	4

/************************************
    NEW TURN CONSTANTS
************************************/
#define BASE_STARTTIME      800     /* every day begins at this time: 8 AM */

/************************************
    SHOW CONSTANTS
************************************/
#define WHACKPOINTS         10
#define CLUEMODIFIER        2

/************************************
    INSULT CONSTANTS
************************************/
#define LIKE_DECREMENT      1

/************************************
    STORY INTRO CONSTANTS
************************************/
#define NUMBER_OF_CHARACTERS    3

/************************************
    GAMEOVER CONSTANTS
************************************/
#define PLAYER_WINS			0
#define PLAYER_LOSE			1
#define PLAYER_CONT			2

/************************************
    PLAYER INPUT CONSTANTS
************************************/
#define INPUT_SIZE			200