/* 0002 list function declarations... */

/* TepIDUnNode */
TepIDUnNode *fnTepIDSearch(TepIDUnNode *pListRoot, TepID searchID);
BOOL fnTepIDAppend(TepIDUnNode **ppListRoot, TepID NewID);
BOOL fnTepIDDelete(TepIDUnNode **ppListRoot, TepIDUnNode *pDeleteMe);


/* TepDataString */
TepDataString *fnTepDataStringSearch(TepDataString *pListRoot, TepID searchID);
BOOL fnTepDataStringAppend(TepDataString **ppListRoot, TepID DataStringID, pChar DataStringData);
BOOL fnTepDataStringDelete(TepDataString **ppListRoot, TepDataString *pDeleteMe);


/* TepConvData */
TepConvData *fnTepConvDataSearch(TepConvData *pListRoot, TepID searchID, TepID attachedto);
BOOL fnTepConvDataAppend(TepConvData **ppListRoot, TepID id, TepID attachedto, pChar details);
BOOL fnTepConvDataDelete(TepConvData **ppListRoot, TepConvData *pDeleteMe);


/* TepRoom */
TepRoom *fnTepRoomSearch(TepRoom *pListRoot, TepID searchID);
BOOL fnTepRoomAppend(TepRoom **ppListRoot, TepID id, pChar name, pChar desc, TepCmds cmd, pTepIDUnNode rooms, pTepIDUnNode objs);
BOOL fnTepRoomDelete(TepRoom **ppListRoot, TepRoom *pDeleteMe);


/* TepDynRoom */
TepDynRoom *fnTepDynRoomSearch(TepDynRoom *pListRoot, TepID searchID);
BOOL fnTepDynRoomAppend(TepDynRoom **ppListRoot, TepID asRoomID, pTepRoom asRoom, pTepIDUnNode people, pTepIDUnNode objs);
BOOL fnTepDynRoomDelete(TepDynRoom **ppListRoot, TepDynRoom *pDeleteMe);


/* TepClueData */
TepClueData* fnClueDataSearch(TepClueData *pListRoot, TepID searchID, TepID attachedto);
BOOL fnClueDataAppend(TepClueData **ppListRoot, TepID id, TepID attachedto, pChar details, pChar keyword);
BOOL fnClueDataDelete(TepClueData **ppListRoot, TepClueData *pDeleteMe);


/* TepWhack */
TepWhack* fnTepWhackSearch(TepWhack *pListRoot, TepID searchID);
BOOL fnTepWhackAppend(TepWhack **ppListRoot, TepID character, USHORT value);
BOOL fnTepWhackDelete(TepWhack **ppListRoot, TepWhack *pDeleteMe);
BOOL fnTepWhackRemover(const pTepChar liveList, const TepID victimID);

/* TepChar */
TepChar* fnTepCharSearch(TepChar *pListRoot, TepID searchID);
BOOL fnTepCharAppend(TepChar **ppListRoot, TepID id, pChar name, pChar desc, pTepConvData conv,
                   pTepWhack whackList, pTepIDUnNode clues, pTepIDUnNode knownData,
                   TepCharLikePlayer like, pTepCharPersonality ident, pTepIDUnNode locations,
                   uChar complimentCounter);
BOOL fnTepCharDelete(TepChar **ppListRoot, TepChar *pDeleteMe);


/* TepCurMurder */
TepCurMurder* fnTepCurMurderSearch(TepCurMurder *pListRoot, TepID searchID);
BOOL fnTepCurMurderAppend(TepCurMurder **ppListRoot, TepID victim, TepID murderer, pTepDeath death);
BOOL fnTepCurMurderDelete(TepCurMurder **ppListRoot, TepCurMurder *pDeleteMe);


/* Evidence */
TepPlayerEvidence *fnTepEvidenceSearch(TepPlayerEvidence *pListRoot, TepID clueID, TepID charID);
BOOL fnTepEvidenceAppend(TepPlayerEvidence **ppListRoot, TepID clueID, TepID charID, TepID whereID);
BOOL fnTepEvidenceDelete(TepPlayerEvidence **ppListRoot, TepPlayerEvidence *pDeleteMe);

/* TepPList */
BOOL fnTepPListAppend(TepPList **ppListRoot, void *pNode);
BOOL fnTepPListDelete(TepPList **ppListRoot, TepPList *pDeleteMe);

/* TepDeath */
TepDeath *fnTepDeathSearch( TepDeath *pListRoot, TepID searchID );
BOOL fnTepDeathAppend( TepDeath **ppListRoot, TepID id, TepID location, pChar desc, pTepConvData conv, pTepClueData clues );
BOOL fnTepDeathDelete( TepDeath **ppListRoot, TepDeath *pDeleteMe );

/* TepConvData */
TepConvData *fnTepConvDataSearch(TepConvData *pListRoot, TepID searchID, TepID attachedto);
TepConvData *fnTepConvDataSearchRand(TepConvData *pListRoot, TepID searchID, TepID attachedto);
BOOL fnTepConvDataAppend(TepConvData **ppListRoot, TepID id, TepID attachedto, pChar details);
BOOL fnTepConvDataDelete(TepConvData **ppListRoot, TepConvData *pDeleteMe);
