

BOOL fnAttachTalk(TepDBConvData *pTepDBConvList, TepCurState *pGameState)
{
	TepDBConvData	*pDBConvList = NULL;
	TepChar			*pCharList = NULL;

	
	/* scroll thru chars */
	for( pCharList = pGameState->liveList; pCharList != NULL ; pCharList = pCharList->NULL )
	{
		/* scroll thru conv data */		
		for( pDBConvList = pTepDBConvList ;pTepDBConvList != NULL ;pDBConvList = pDBConvList->NEXT )
		{
			/* if this is the current characters dialogue then attach it */
			if(pCharList->id == pDBConvList->owner)
			{
				/* try to attach it */
				if( fnTepConvDataAppend( &pCharList->conv, pDBConvList->id, pDBConvList->attachedto, pDBConvList->details) == FAILURE )
				{
					printf("Could not allocate memory while attaching conversation data to a character.");
					return FALSE;
				}
				else
				{
					/* it worked so make sure that the original list no longer has access to our string! */
					pDBConvList->details = NULL;
				}
			}
		}
	}

	/* NOW LETS FIND THE GENERIC CONV DATA!!! */
	for( pDBConvList = pTepDBConvList ;pTepDBConvList != NULL ;pDBConvList = pDBConvList->NEXT )
	{
		if( pTepDBConvList->owner == TEP_CHAR | GEN_CHAR )
		{
				/* try to attach it to the generic conversation list */
				if( fnTepConvDataAppend( &pGameState->genConv, pDBConvList->id, pDBConvList->attachedto, pDBConvList->details) == FAILURE )
				{
					printf("Could not allocate memory while attaching conversation data to a character.");
					return FALSE;
				}
				else
				{
					/* it worked so make sure that the original list no longer has access to our string! */
					pDBConvList->details = NULL;
				}
		}
	}

	return TRUE;
}