#include "tep_incs.h"


BOOL fnHelpFile()
{
	unsigned char cInput;
	
	//Stuff to help with:
	//background with the legend and Wesley of Williston, the last Emissary of Tep
	//being civil to characters (what works with complimenting and insulting etc.)
	//compiling evidence against the Disciples of Rametep
	//persuading the villagers to vote to sacrifice the evil Disciples of Rametep, not other innocent villagers

	for(;;)
	{
		printf("\n--------------------------------HELP FILE DONKEY--------------------------------");
		printf("\n\n\n");
		printf("1)Legend of Tep\n2)Relating to the Locals\n3)Compiling Evidence Against the Evil Disciples\n4)Persuading the Innocents to Vote for the Guilty\n");
		printf("5)Return to Game\n\n\n>");

		cInput = fgetc(stdin);
		fflush(stdin);
		if ((cInput > '0') && (cInput < '6'))
		{
			switch(atoi((const char *)&cInput))
			{
			case 1:
				{
					fnHelpBackground();
					break;
				}
			case 2:
				{
					fnHelpRelateChar();
					break;
				}
			case 3:
				{
					fnHelpCompileEvidence();
					break;
				}
			case 4:
				{
					fnHelpPersuadeChar();
					break;
				}
			case 5:
				{
					//back to InterpretAction()
					return TRUE;
				}
			}
		}
		else
		{
			printf("Invalid input.>");
			continue;
		}
	}
	return FALSE;
}

/* Oh my hardcoding!  It's such... hard code!  Ackk.... */
BOOL fnHelpBackground()
{
	char *extra = "She will show you the way. I hope that you find this information useful, Emissary, and vanquish the Devil's progeny yet again.";
	fnPrintOut(PAUSE, NULL, NULL, 2, "I, Sir Wesley of Williston, son of Alfred of Williston, wrte this tome on the Fourteenth of July in The Year of Our Lord, <the date has been smudged to illegibility>.  As I write these words, I feel humbled and honored that my Lord has seen fit to bestow a responsibility such as this upon His faithful servant: for I am the Emissary of Tep!This book is meant to act as guide for the next Emissary of Tep.  Chania, the wise-woman of the isle (she refers to herself as \"The Keeper of the Sun\"), has assured me that this awe-inspiring Divine Feud reoccurs every hundred years.  As I have successfully banished Satan's Demons (I must digress: as you may know, the locals refer to the Devil as \"Rametep\", and the Lord God as \"Tepititan\", but it is obvious to me that the names refer to the proper entities) to the fiery Hell from whence they came, it behooves me to leave a record of my actions so that future Emissaries can preserve the marvelous culture of the island Tep.  Chania has assured me that this book will be kept safe and given to the next Emissary.My archaeological expedition to the South Pacific Isles seemed an utter loss; after the freak monsoon storm and my subsequent shipwrecking, I felt lucky to be alive -- expedition be damned!  But after the amazing events that have transpired, I can only count my lucky stars I have had the moral, mental and physical fortitude to see this situation through to success: and if you are reading this tome then you, too, have been Chosen by God to preserve this idyllic isle.If there is one overriding truth an Emissary should keep in mind, it is that the Speaker of the Sun is a holy saint who can directly discourse with the Almighty.  This is not a heretical statement; I have seen the miracles of God express themselves in Chania, Speaker of the Sun.  She has intimated to me that a little girl named Sheroesha, aged only seven, has been Chosen by God to be the next Speaker of the Sun: trust her implicitly.", extra);

	fflush(stdin);
	return TRUE;
}

BOOL fnHelpRelateChar()
{
	fnPrintOut(PAUSE, NULL, NULL, 1, "I have studied the way of life of the villagers of Tep for several weeks now, while waiting for my father's ship to arrive.  They live communally; that is the villagers have only a very loose concept of ownership.  It is perfectly acceptable for a person to simply traipse into another's hut and dine on his berries.  Openly staring at another person seems to be socially acceptable as well.  Along these same lines, the villagers of Tep are extremely forthcoming: they have no compunctions about telling you their exact opinions.  Do not be offended; it is only their way of relating to one another.  	The villagers' customs concerning formal conversation are somewhat complex.  The first formal conversation of the day (for a given villager) should be initiated with some kind of compliment.  It seems as though any positive remark will do; but the more I learn the language, the more I suspect there is more to it than this.  Afterward, conversation proceeds as normal (although, as I said, inhabitants of Tep are often very blunt), and then is terminated with a formal farewell; usually no more than a \"Good day\".  Often, more than one \"formal compliment\" will actually be taken as a slight.  Sometimes, however, multiple \"formal compliments\" seem to please villagers.  	Finally, the villagers will absolutely refuse to discuss their dead; there must be some reason for this in their mythology, but I have not as of yet divined it.  I would suggest not even broaching the subject of the deceased with the natives of Tep.");
	fflush(stdin);
	return TRUE;
}

BOOL fnHelpCompileEvidence()
{
	fnPrintOut(PAUSE, NULL, NULL, 1, "During my time as what the locals refer to as \"The Emissary of Ararametepititan\" I have found that for one to persuade the vote of a villager as to who will be sacrificed in their daily ritual one must illustrate the connections between evidence and the potential murderer. There is no need to carry the evidence with you (indeed there are times that it would be impossible to lug the evidence one has found) instead, what has proved most effective is compiling a description of the evidence in a logbook. It should be noted that the evidence that one may collect is not limited to physical evidence. Verbal clues given from conversing with villagers may also be collected. It should also be noted that if one does not know immediately who may have committed the murder of the night before, one should collect the evidence but not put it in any specific evidence against a villager. It may then be moved later into evidence against a specific villager.During the course of my duties I have often found it necessary to organize my evidence against different suspected servants of Rametep. One may need to move evidence from the general evidence category into evidence against a specific villager or vice versa. One may also wish to move evidence against one villager to evidence against another villager once one has a clearer idea of who has been perpetrating the murders against the goodly people of Tep.*** To Collect Evidence into Evidence against a specific Villager ***type:	put <evidence> into evidence against <villager>*** To Collect Verbal Clues ***A villager will tell you a clue and then you will be prompted whether you would like to put this into general evidence or not.*** To Organize Evidence ***type:	organize evidence");

	fflush(stdin);
	return TRUE;
}

BOOL fnHelpPersuadeChar()
{
	fnPrintOut(PAUSE, NULL, NULL, 1, "When one engages in conversation with a villager one may then show the evidence collected against another villager. From my experience with the local culture I have seen that the villagers will have no compunction against telling one whether or not they agree with the evidence being shown. Their reactions have often given me a good indication of whether or not I could depend on that character to cast their vote against the suspected murderer. It should be noted that if one has not gained the trust of a villager, that villager may react negatively towards one despite the fact that the evidence one has shown is quite correct.**** To Show a Villager Evidence ***To show a villager evidence you must first be engaged in conversation with that villager.You may then type:	Show evidence against <suspect>The villager will react in a way to suggest whether or not they believe you.*** To Enter Into a Conversation With a Villager ***type:	talk <villager>");

	fflush(stdin);
	return TRUE;
}
