#include "tep_incs.h"



BOOL fnEndTurn( TepCurState *pGameState )
{
    TepChar *pCurChar = pGameState->liveList;       /* pointer to the character lists */

    TepPlayerEvidence **ppEvidenceListEnd = NULL;   /* pointer to a pointer to the end of an evidence list */

    /* free up the dynamic map list */
    fnTepDynRoomDelete( &pGameState->mapLite, NULL );

    /* free up all the clues attached to characters */
    while( pCurChar != NULL )
    {
        /* delete the clues associated with this character */
        fnTepIDDelete( &pCurChar->clues, NULL );

        /* increment the character */
        pCurChar = pCurChar->NEXT;
    }

    /* move the day's clues lists to the old clue lists */
        /* point to the end of the old 'against' list */
        ppEvidenceListEnd = &pGameState->player->oldEvidenceAgainst;
        while( *ppEvidenceListEnd != NULL )
        {
            /* increment to the next node */
            ppEvidenceListEnd = &(*ppEvidenceListEnd)->NEXT;
        }

        /* now stick the current 'against' list to the end of the old list */
        *ppEvidenceListEnd = pGameState->player->evidenceAgainst;

        /* now close off the current list */
        pGameState->player->evidenceAgainst = NULL;


        /* point to the end of the old 'generic' list */
        ppEvidenceListEnd = &pGameState->player->oldEvidenceGeneric;
        while( *ppEvidenceListEnd != NULL )
        {
            /* increment to the next node */
            ppEvidenceListEnd = &(*ppEvidenceListEnd)->NEXT;
        }

        /* now stick the current 'generic' list to the end of the old list */
        *ppEvidenceListEnd = pGameState->player->evidenceGeneric;

        /* now close off the current list */
        pGameState->player->evidenceGeneric = NULL;

    return TRUE;
}